Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jms.extensions
Class JMSRuntimeHelper

    java.lang.Object
      weblogic.jms.extensions.JMSRuntimeHelper

Direct Known Subclasses:
  JMSHelper, JMSModuleHelper

    public class JMSRuntimeHelper

extends Object

This class contains JMS helper methods for locating JMS runtime (i.e., monitoring) JMX MBeans.

Constructor Summary
`JMSRuntimeHelper()`

Method Summary
`static weblogic.management.runtime.JMSConnectionRuntimeMBean` | `getJMSConnectionRuntimeMBean(Context ctx, Connection connection)` Retrieve the JMS connection runtime MBean for the associated JMS connection.
`static weblogic.management.runtime.JMSDestinationRuntimeMBean` | `getJMSDestinationRuntimeMBean(Context ctx, Destination destination)` Retrieve the JMS destination runtime MBean for the associated JMS destination.
`static weblogic.management.runtime.JMSDestinationRuntimeMBean` | `getJMSDestinationRuntimeMBean(Context ctx, String jmsServerName, String destinationName)` Retrieve the JMS destination runtime MBean for the specified JMS destination name on the specified JMS server.
`static weblogic.management.runtime.JMSConsumerRuntimeMBean` | `getJMSMessageConsumerRuntimeMBean(Context ctx, MessageConsumer messageConsumer)` Retrieve the JMS consumer runtime MBean for the associated JMS message consumer.
`static weblogic.management.runtime.JMSProducerRuntimeMBean` | `getJMSMessageProducerRuntimeMBean(Context ctx, MessageProducer messageProducer)` Retrieve the JMS producer runtime MBean for the associated JMS message producer.
`static weblogic.management.runtime.JMSServerRuntimeMBean` | `getJMSServerRuntimeMBean(Context ctx, Destination destination)` Retrieve the JMS server runtime MBean hosting the associated JMS destination.
`static weblogic.management.runtime.JMSServerRuntimeMBean` | `getJMSServerRuntimeMBean(Context ctx, String mbeanName)` Retrieve the JMS server runtime MBean for the specified JMS server name.
`static weblogic.management.runtime.JMSSessionRuntimeMBean` | `getJMSSessionRuntimeMBean(Context ctx, Session customerSession)` Retrieve the JMS customerSession runtime MBean for the associated JMS customerSession.
`String` | `newJMSMessageIDToOld(String messageId)` Convert WebLogic JMS 6.0 `JMSMessageID` format to the pre-6.0 format.
`String` | `oldJMSMessageIDToNew(String messageId, long timeStamp)` Convert WebLogic JMS pre-6.0 `JMSMessageID` format into the 6.0 format.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMSRuntimeHelper

    public JMSRuntimeHelper()

Method Detail

### getJMSConnectionRuntimeMBean

    public static weblogic.management.runtime.JMSConnectionRuntimeMBean getJMSConnectionRuntimeMBean(Context ctx,
                                                                                                     Connection connection)
                                                                                              throws JMSException

  Retrieve the JMS connection runtime MBean for the associated JMS connection.

  Parameters:
    `ctx` - JNDI initial context.
    `connection` - javax.jms.Connection
  Throws:
    `JMSException` - if a JMS error occurs
  Since:
    WebLogic Server 8.1
  See Also:
    weblogic.management.runtime.JMSConnectionRuntimeMBean

### getJMSMessageProducerRuntimeMBean

    public static weblogic.management.runtime.JMSProducerRuntimeMBean getJMSMessageProducerRuntimeMBean(Context ctx,
                                                                                                        MessageProducer messageProducer)
                                                                                                 throws JMSException

  Retrieve the JMS producer runtime MBean for the associated JMS message producer.

  Parameters:
    `ctx` - JNDI initial context.
    `messageProducer` - javax.jms.MessageProducer
  Throws:
    `JMSException` - if a JMS error occurs
  Since:
    WebLogic Server 8.1
  See Also:
    weblogic.management.runtime.JMSProducerRuntimeMBean

### getJMSMessageConsumerRuntimeMBean

    public static weblogic.management.runtime.JMSConsumerRuntimeMBean getJMSMessageConsumerRuntimeMBean(Context ctx,
                                                                                                        MessageConsumer messageConsumer)
                                                                                                 throws JMSException

  Retrieve the JMS consumer runtime MBean for the associated JMS message consumer.

  Parameters:
    `ctx` - JNDI initial context.
    `messageConsumer` - javax.jms.MessageConsumer
  Throws:
    `JMSException` - if a JMS error occurs
  Since:
    WebLogic Server 8.1
  See Also:
    weblogic.management.runtime.JMSConsumerRuntimeMBean

### getJMSSessionRuntimeMBean

    public static weblogic.management.runtime.JMSSessionRuntimeMBean getJMSSessionRuntimeMBean(Context ctx,
                                                                                               Session customerSession)
                                                                                        throws JMSException

  Retrieve the JMS customerSession runtime MBean for the associated JMS customerSession.

  Parameters:
    `ctx` - JNDI initial context
    `customerSession` - javax.jms.Session
  Throws:
    `JMSException` - if a JMS error occurs
  Since:
    WebLogic Server 8.1
  See Also:
    weblogic.management.runtime.JMSSessionRuntimeMBean

### getJMSServerRuntimeMBean

    public static weblogic.management.runtime.JMSServerRuntimeMBean getJMSServerRuntimeMBean(Context ctx,
                                                                                             Destination destination)
                                                                                      throws JMSException

  Retrieve the JMS server runtime MBean hosting the associated JMS destination.

  Parameters:
    `ctx` - JNDI initial context
    `destination` - javax.jms.Destination
  Throws:
    `JMSException` - if a JMS error occurs
  Since:
    WebLogic Server 8.1
  See Also:
    weblogic.management.runtime.JMSServerRuntimeMBean

### getJMSDestinationRuntimeMBean

    public static weblogic.management.runtime.JMSDestinationRuntimeMBean getJMSDestinationRuntimeMBean(Context ctx,
                                                                                                       String jmsServerName,
                                                                                                       String destinationName)
                                                                                                throws JMSException

  Retrieve the JMS destination runtime MBean for the specified JMS destination name on the specified JMS server.

  Parameters:
    `ctx` - JNDI initial context
    `jmsServerName` - name of the JMS server
    `destinationName` - name of the JMS destination
  Throws:
    `JMSException` - if a JMS error occurs
  Since:
    WebLogic Server 8.1
  See Also:
    weblogic.management.runtime.JMSDestinationRuntimeMBean

### getJMSDestinationRuntimeMBean

    public static weblogic.management.runtime.JMSDestinationRuntimeMBean getJMSDestinationRuntimeMBean(Context ctx,
                                                                                                       Destination destination)
                                                                                                throws JMSException

  Retrieve the JMS destination runtime MBean for the associated JMS destination.

  Parameters:
    `ctx` - JNDI initial context
    `destination` - javax.jms.Destination
  Throws:
    `JMSException` - if a JMS error occurs
  Since:
    WebLogic Server 8.1
  See Also:
    weblogic.management.runtime.JMSDestinationRuntimeMBean

### getJMSServerRuntimeMBean

    public static weblogic.management.runtime.JMSServerRuntimeMBean getJMSServerRuntimeMBean(Context ctx,
                                                                                             String mbeanName)
                                                                                      throws JMSException

  Retrieve the JMS server runtime MBean for the specified JMS server name.

  Parameters:
    `ctx` - JNDI initial context
    `mbeanName` - name of the JMS server
  Throws:
    `JMSException` - if a JMS error occurs
  Since:
    WebLogic Server 8.1
  See Also:
    weblogic.management.runtime.JMSServerRuntimeMBean

### oldJMSMessageIDToNew

    public String oldJMSMessageIDToNew(String messageId,
                                       long timeStamp)
                                throws JMSException

  Convert WebLogic JMS pre-6.0 `JMSMessageID` format into the 6.0 format.

  Parameters:
    `messageId` - old JMSMessageID.
    `timeStamp` - timestamp of message.
  Throws:
    `JMSException` - if a JMS error occurs
  Since:
    WebLogic Server 6.0
  See Also:
    `JMSRuntimeHelper.newJMSMessageIDToOld(java.lang.String)`

### newJMSMessageIDToOld

    public String newJMSMessageIDToOld(String messageId)
                                throws JMSException

  Convert WebLogic JMS 6.0 `JMSMessageID` format to the pre-6.0 format.

  Parameters:
    `messageId` - old JMSMessageID.
  Throws:
    `JMSException` - if a JMS error occurs
  Since:
    WebLogic Server 6.0
  See Also:
    `JMSRuntimeHelper.oldJMSMessageIDToNew(java.lang.String, long)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD